Monitoring
All operations require authentication.
2 operationsv1/vps/{serviceName}
Retrieve disk monitoring statistics for this VPS over a given periodProduction
GET
/1.0/ vps/ {serviceName}/ disks/ {id}/ monitoring
Returns the monitoring values of the disk for the requested period, as timestamped points.
Path parameters
id
required
integer
Id
service Name
required
string
Service name
Query parameters
period
required
Vps Monitoring Period Enum
The period the statistics are fetched for
Values
lastdaylastmonthlastweeklastyeartodaytype
required
Statistic Type Enum
The type of statistic to be fetched
Values
maxusedResponse
200Vps Timestamp Valuesuccessful operation
unit
read-only
string
—
values
read-only
Vps Timestamp Value []
—
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id}/ monitoring \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}
Retrieve current disk usage metrics for this VPSProduction
GET
/1.0/ vps/ {serviceName}/ disks/ {id}/ use
Returns the current disk usage as a value and its unit.
Path parameters
id
required
integer
Id
service Name
required
string
Service name
Query parameters
type
required
Statistic Type Enum
The type of statistic to be fetched
Values
maxusedResponse
200Unit And Value_doublesuccessful operation
unit
read-only
string
—
value
read-only
number
—
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id}/ use \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "value": 0}